Package org.eclipse.team.ui.synchronize

## Interface ISynchronizeView

All Superinterfaces:
  `IAdaptable`, `IPersistable`, `IViewPart`, `IWorkbenchPart`

    public interface ISynchronizeView
    extends IViewPart

A view that displays synchronization participants that are registered with the synchronize manager. This is essentially a generic container that allows multiple `ISynchronizeParticipant` implementations to share the same view. The only behavior provided by the view is a mechanism for switching between participants.

Clients can not add viewActions to this view because they will be global to all participants. Instead, add participant specific actions as described in `ISynchronizePageConfiguration`.

Since:
  3.0
See Also:
  `ISynchronizeManager.showSynchronizeViewInActivePage()`
Restriction:
  Clients are not intended to implement this interface.

### Field Summary

Fields
`static String` `COMPARE_VIEW_ID` Deprecated. not used, please use `VIEW_ID` instead.
`static String` `VIEW_ID` The id for this view

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `display​(ISynchronizeParticipant participant)` Displays the given synchronize participant in the Synchronize View.
`ISynchronizeParticipant` `getParticipant()` Returns the participant currently being displayed in the Synchronize View or `null` if none.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ui.IViewPart

`getViewSite, init, init, saveState`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

### Field Detail

#### VIEW_ID

    static final String VIEW_ID

The id for this view

See Also:
  Constant Field Values

#### COMPARE_VIEW_ID

    @Deprecated
    static final String COMPARE_VIEW_ID

Deprecated.
not used, please use `VIEW_ID` instead.
This id is no longer used.

See Also:
  Constant Field Values

### Method Detail

#### display

    void display​(ISynchronizeParticipant participant)

Displays the given synchronize participant in the Synchronize View. This has no effect if this participant is already being displayed.

Parameters:
  `participant` - participant to be displayed, cannot be `null`

#### getParticipant

    ISynchronizeParticipant getParticipant()

Returns the participant currently being displayed in the Synchronize View or `null` if none.

Returns:
  the participant currently being displayed in the Synchronize View or `null` if none